For Developers

List Districts

GET https://ed.link/api/v2/graph/people/:person_id/districts

Retrieve a list of Districts associated with the specified Person. There will always be exactly one district; we just refer to this as a "list" because you are receiving an array of one district, rather than the district object directly as you would in the equivalent "fetch" method.

Request Parameters

This query allows for filtering results.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

axios.get('https://ed.link/api/v2/graph/people/63acc741-7633-453c-9bfd-75ae1ac34533/districts', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "c688ba67-9389-4010-b0e5-40004aa01376",
            "created_date": "2021-07-05T20:32:40.454Z",
            "updated_date": "2021-07-12T21:44:23.126Z",
            "name": "Gravity Falls School District",
            "address": {
                "street": "618 Gopher Road",
                "unit": null,
                "postal_code": "97448",
                "city": "Gravity Falls",
                "state": "Oregon",
                "country": "US",
                "phone": "555-555-5555",
                "latitude": null,
                "longitude": null
            },
            "identifiers": [
                {
                    "type": "sis_id",
                    "value": "d5d5927f-c6ff-33e3-8a30-bc5503511efd"
                },
                {
                    "type": "state_id",
                    "value": "5280"
                }
            ],
            "picture_url": null,
            "locale": "en",
            "time_zone": "America/Los_Angeles",
            "location": {},
            "properties": {}
        }
    ],
    "$request": "00000000-0000-0000-0000-000000000000"
}